/**
 * Copyright 2005-2012 The Kuali Foundation
 *
 * Licensed under the Educational Community License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.opensource.org/licenses/ecl2.php
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kuali.rice.krad.uif;

/**
 * Constants for parameter names that need to be retrieved from general
 * <code>Map</code> implementations (like the request, action parameters map,
 * component template options, component layout options)
 * 
 * @author Kuali Rice Team (rice.collab@kuali.org)
 */
public class UifParameters {

	public static final String AUTO_SEARCH = "autoSearch";
	public static final String BASE_LOOKUP_URL = "baseLookupUrl";
	public static final String METHOD_TO_CALL = "methodToCall";
    public static final String CLIENT_VIEW_STATE = "clientViewState";
    public static final String CONVERSION_FIELDS = "conversionFields";
	public static final String DATA_OBJECT_CLASS_NAME = "dataObjectClassName";
	public static final String DISABLE_SEARCH_BUTTONS = "disableSearchButtons";
    public static final String DOC_NUM = "docNum";
    public static final String FORM_KEY = "formKey";
    public static final String FORM_MANAGER = "formManager";
	public static final String HEADER_BAR_ENABLED = "headerBarEnabled";
	public static final String HIDE_RETURN_LINK = "hideReturnLink";
    public static final String LIGHTBOX_CALL = "lightBoxCall";
	public static final String LOOKUP_CRITERIA_ENABLED = "lookupCriteriaEnabled";
	public static final String LOOKUP_PARAMETERS = "lookupParameters";
    public static final String LOOKUP_COLLECTION_NAME = "lookupCollectionName";
    public static final String MULTIPLE_VALUES_SELECT = "multipleValuesSelect";
	public static final String READ_ONLY_FIELDS = "readOnlyFields";
    public static final String REDIRECTED_INQUIRY = "redirectedInquiry";
    public static final String REDIRECTED_LOOKUP = "redirectedLookup";
	public static final String REFERENCES_TO_REFRESH = "referencesToRefresh";
	public static final String RENDER_FULL_VIEW = "renderFullView";
	public static final String RETURN_LOCATION = "returnLocation";
	public static final String RETURN_FORM_KEY = "returnFormKey";
    public static final String REQUESTED_COMPONENT_ID = "reqComponentId";
    public static final String SHOW_INACTIVE_RECORDS = "showInactiveRecords";
    public static final String SKIP_VIEW_INIT = "skipViewInit";
	public static final String SELLECTED_COLLECTION_PATH = "selectedCollectionPath";
	public static final String SELECTED_LINE_INDEX = "selectedLineIndex";
    public static final String SELECTED_LINE_VALUES = "selectedLineValues";
	public static final String SHOW_MAINTENANCE_LINKS = "showMaintenanceLinks";
	public static final String SUPRESS_ACTIONS = "supressActions";
	public static final String SUPPLEMENTAL_ACTIONS_ENABLED = "supplementalActionsEnabled";
	public static final String PAGE_ID = "pageId";
	public static final String NAVIGATE_TO_PAGE_ID = "navigateToPageId";
	public static final String VIEW_ID = "viewId";
	public static final String VIEW_NAME = "viewName";
	public static final String VIEW_TYPE_NAME = "viewTypeName";
	public static final String ACTION_TYPE = "actionType";
	public static final String ADD_LINE = "addLine";
    public static final String QUERY_PARAMETER = "queryParameter";
    public static final String QUERY_FIELD_ID = "queryFieldId";
    public static final String QUERY_TERM = "queryTerm";
}
